summaryrefslogtreecommitdiff
path: root/iwd2/install-patch-us.sh
diff options
context:
space:
mode:
authorNick Daly <myownlittlworld@hotmail.com>2009-07-02 20:24:27 -0500
committerNick Daly <myownlittlworld@hotmail.com>2009-07-02 20:24:27 -0500
commitf4b77bbe86d5e97e7960d5132d73c15daaffeabf (patch)
treead4f3f9606cbafa0f79806c828be99bf666d1dcb /iwd2/install-patch-us.sh
parentd370a8e2a2d58d20da284683bd9262e6ca696746 (diff)
parentfeb2cd603ba1ae6e7dc04e17463c87777f882363 (diff)
downloadgemrb-gameinstallers-f4b77bbe86d5e97e7960d5132d73c15daaffeabf.tar.bz2
gemrb-gameinstallers-f4b77bbe86d5e97e7960d5132d73c15daaffeabf.zip
Merge branch 'master' of http://git.njw.me.uk/gemrb-gameinstallers
Conflicts: auto-installer.sh
Diffstat (limited to 'iwd2/install-patch-us.sh')
-rwxr-xr-xiwd2/install-patch-us.sh47
1 files changed, 47 insertions, 0 deletions
diff --git a/iwd2/install-patch-us.sh b/iwd2/install-patch-us.sh
new file mode 100755
index 0000000..2528e44
--- /dev/null
+++ b/iwd2/install-patch-us.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+# Copyright 2009 Tasos Latsas
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# See <http://www.gnu.org/licenses/> for a copy of the GNU General
+# Public License.
+#
+# Icewind Dale 2 US version patch v2.01
+#
+# info : http://www.planetbaldursgate.com/iwd2/media/files/
+# size : 4.95 MB
+
+patch_url="http://www.sorcerers.net/Games2/IWD2/IWD2Patch201.exe"
+patch_name="$(basename $patch_url)"
+
+scriptdir="$(dirname $0)"/..
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
+
+parseargs "$@"
+
+checkforbin cabextract wget unshield
+
+setuptmp
+
+getpatch $patch_url
+
+cabextract -L "${TMPDIR}/${patch_name}" -d "$TMPDIR" || diesoftly
+unshield -d "$TMPDIR" -L x "${TMPDIR}/disk1/data1.cab" || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/override/"* "${TARGETDIR}"/override || diesoftly
+cp -R "${TMPDIR}/minimum_compressed_-_language_independent/scripts/"* "${TARGETDIR}"/scripts || diesoftly
+
+cp -R "${TMPDIR}/minimum_compressed_-_us_english/characters/"* "${TARGETDIR}/characters" || diesoftly
+cp -f "${TMPDIR}/minimum_compressed_-_us_english/dialog.tlk" "$TARGETDIR" || diesoftly
+
+cleanuptmp
+setperms "$TARGETDIR"